Show / Hide Table of Contents

# Class ListConverter<T>

A CollectionConverter<T, TCollection> for a List<T>.

##### Inheritance

Object
ValueConverter<List<T>>
CollectionConverter<T, List<T>>
ListConverter<T>
ListConverter<T, TConverter>

##### Implements

IValueConverter

##### Inherited Members

CollectionConverter<T, List<T>>.BaseConverter
CollectionConverter<T, List<T>>.Create(Int32, Object)
CollectionConverter<T, List<T>>.PopulateFromValue(List<T>, List, Object)
CollectionConverter<T, List<T>>.FromValue(Value, Object)
CollectionConverter<T, List<T>>.ToValue(List<T>, Object)
ValueConverter<List<T>>.ToValue(List<T>, Object)
ValueConverter<List<T>>.FromValue(Value, Object)
ValueConverter<List<T>>.IValueConverter.ToValue(Object, Object)
ValueConverter<List<T>>.IValueConverter.FromValue(Value, Object)
ValueConverter<List<T>>.IValueConverter.Type
Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Config.Stores.Converters

###### Assembly: IPA.Loader.dll

##### Syntax

    public class ListConverter<T> : CollectionConverter<T, List<T>>, IValueConverter

##### Type Parameters

Name | Description
--- | ---
T | the element type of the List<T>

### Constructors

| Improve this Doc View Source

#### ListConverter()

Creates an ListConverter<T> using the default converter for `T`.

##### Declaration

    public ListConverter()

##### See Also

CollectionConverter()
| Improve this Doc View Source

#### ListConverter(ValueConverter<T>)

Creates an ListConverter<T> using the specified underlying converter for values.

##### Declaration

    public ListConverter(ValueConverter<T> underlying)

##### Parameters

Type | Name | Description
--- | --- | ---
ValueConverter<T> | underlying | the underlying ValueConverter<T> to use for the values

### Methods

| Improve this Doc View Source

#### Create(Int32, Object)

Creates a new List<T> for deserialization.

##### Declaration

    protected override List<T> Create(int size, object parent)

##### Parameters

Type | Name | Description
--- | --- | ---
Int32 | size | the size to initialize it to
Object | parent | the object that will own the new object

##### Returns

Type | Description
--- | ---
List<T> | the new List<T>

##### Overrides

IPA.Config.Stores.Converters.CollectionConverter<T, System.Collections.Generic.List<T>>.Create(System.Int32, System.Object)

### Implements

IValueConverter

### Extension Methods

ReflectionUtil.SetField<T, U>(T, String, U)
ReflectionUtil.GetField<U, T>(T, String)
ReflectionUtil.SetProperty<T, U>(T, String, U)
ReflectionUtil.GetProperty<U, T>(T, String)
ReflectionUtil.InvokeMethod<U, T>(T, String, Object[])

### See Also

CollectionConverter<T, TCollection>